# Notes left on a page or on one of its blocks (open ones; ?resolved=1 for all)

`GET /hosting/sites/{id}/pages/{page}/comments` · Rivier · hosting

Notes left on a page or on one of its blocks (open ones; ?resolved=1 for all).

- Scope: hosting:read
- Mcp: rivier_site_comments_list
- Graphql: Query.hostingSitePageComments
- Sdk: hosting.sitePage.comments
- Cli: hosting site page comments

## Parameters

- `id` (path, required), string
- `page` (path, required), string
- `resolved` (query), string
- `blockId` (query), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/hosting/sites/{id}/pages/{page}/comments' \
  -H 'Authorization: Bearer $KEY'
```
